### Method

# Gtk.Snapshot.append_outset_shadow

#### Declaration [src]

    void
    gtk_snapshot_append_outset_shadow (
      GtkSnapshot* snapshot,
      const GskRoundedRect* outline,
      const GdkRGBA* color,
      float dx,
      float dy,
      float spread,
      float blur_radius
    )

#### Description [src]

Appends an outset shadow node around the box given by `outline`.

#### Parameters

`outline` | `const GskRoundedRect*`
| outline of the region surrounded by shadow
| Ownership is not transferred to the callee
`color` | `const GdkRGBA*`
| color of the shadow
| Ownership is not transferred to the callee
`dx` | `float`
| horizontal offset of shadow
`dy` | `float`
| vertical offset of shadow
`spread` | `float`
| how far the shadow spreads towards the outside
`blur_radius` | `float`
| how much blur to apply to the shadow